"use strict";
var common_vendor = require("../common/vendor.js");
if (!Array) {
  const _easycom_wd_navbar_capsule2 = common_vendor.resolveComponent("wd-navbar-capsule");
  const _easycom_wd_navbar2 = common_vendor.resolveComponent("wd-navbar");
  (_easycom_wd_navbar_capsule2 + _easycom_wd_navbar2)();
}
const _easycom_wd_navbar_capsule = () => "../uni_modules/wot-design-uni/components/wd-navbar-capsule/wd-navbar-capsule.js";
const _easycom_wd_navbar = () => "../uni_modules/wot-design-uni/components/wd-navbar/wd-navbar.js";
if (!Math) {
  (_easycom_wd_navbar_capsule + _easycom_wd_navbar)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "NavBar",
  props: {
    title: {
      type: String,
      default: ""
    }
  },
  setup(__props) {
    const handleBack = () => {
      common_vendor.index.navigateBack({});
    };
    const handleBackHome = () => {
      common_vendor.index.reLaunch({
        url: "/pages/index/index"
      });
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.o(handleBack),
        b: common_vendor.o(handleBackHome),
        c: common_vendor.p({
          title: __props.title,
          ["left-text"]: "\u8FD4\u56DE",
          ["left-arrow"]: true,
          fixed: true,
          placeholder: true,
          safeAreaInsetTop: true
        })
      };
    };
  }
});
var Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "D:/\u7F51\u6291\u4E91Time/\u79C1\u6D3B/2000\u7B97\u5366/src/components/NavBar.vue"]]);
wx.createComponent(Component);
